Debian Bug report logs - #591542
Please only suggest binutils-multiarch

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Loïc Minier <lool@dooz.org>

Date: Tue, 3 Aug 2010 19:57:01 UTC

Severity: minor

Found in version dpkg-cross/2.5.8

Fixed in version dpkg-cross/2.6.2

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#591542; Package dpkg-cross. (Tue, 03 Aug 2010 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
New Bug report received and forwarded. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Tue, 03 Aug 2010 19:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please only suggest binutils-multiarch
Date: Tue, 3 Aug 2010 15:55:21 -0400
Package: dpkg-cross
Version: 2.5.8
Severity: minor

        Hey

 dpkg-cross Depends: binutils-multiarch which is very strong; it seems
 it's only a nice to have; it certainly works without.  Would you please
 make that a suggest or recommends instead?

   Thanks!
-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#591542; Package dpkg-cross. (Tue, 03 Aug 2010 20:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Tue, 03 Aug 2010 20:27:07 GMT) Full text and rfc822 format available.

Message #10 received at 591542@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Loïc Minier <lool@dooz.org>, 591542@bugs.debian.org
Subject: Re: Bug#591542: Please only suggest binutils-multiarch
Date: Tue, 3 Aug 2010 16:25:15 -0400
[Message part 1 (text/plain, inline)]
On Tue, 3 Aug 2010 15:55:21 -0400
Loïc Minier <lool@dooz.org> wrote:

> Package: dpkg-cross
> Version: 2.5.8
> Severity: minor
> 
>         Hey
> 
>  dpkg-cross Depends: binutils-multiarch which is very strong; it seems
>  it's only a nice to have; it certainly works without.  Would you please
>  make that a suggest or recommends instead?

The issue is dh_strip which does not understand dpkg-architecture and
which does not try to find the relevant cross-compliant strip
executable provided by the binutils from the toolchain.

One result of the current situation is that once dpkg-cross is
installed, all operations actually use the binutils-multiarch versions
due to how dpkg-divert operates. (None of the existing tools understand
where the diverted executables have been placed.)

This has been looked at before but, as yet, it is not possible to lower
the dependency of binutils-multiarch. The aim is not to lower the
dependency anyway, the aim is to solve the remaining issues and remove
binutils-multiarch so that the binutils from the toolchain can be used
instead.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#591542; Package dpkg-cross. (Tue, 03 Aug 2010 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Tue, 03 Aug 2010 20:39:05 GMT) Full text and rfc822 format available.

Message #15 received at 591542@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Neil Williams <codehelp@debian.org>
Cc: 591542@bugs.debian.org
Subject: Re: Bug#591542: Please only suggest binutils-multiarch
Date: Tue, 3 Aug 2010 16:34:51 -0400
On Tue, Aug 03, 2010, Neil Williams wrote:
> The issue is dh_strip which does not understand dpkg-architecture and
> which does not try to find the relevant cross-compliant strip
> executable provided by the binutils from the toolchain.

 Yup, see Debian #412118; there are other such cases such as objdump.

-- 
Loïc Minier




Added blocking bug(s) of 591542: 591522 Request was from Loïc Minier <lool@dooz.org> to control@bugs.debian.org. (Tue, 03 Aug 2010 21:21:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 591542: 578364 and 412118 Request was from Loïc Minier <lool@dooz.org> to control@bugs.debian.org. (Tue, 03 Aug 2010 21:21:10 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Tue, 22 Feb 2011 17:27:05 GMT) Full text and rfc822 format available.

Notification sent to Loïc Minier <lool@dooz.org>:
Bug acknowledged by developer. (Tue, 22 Feb 2011 17:27:05 GMT) Full text and rfc822 format available.

Message #24 received at 591542-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 591542-close@bugs.debian.org
Subject: Bug#591542: fixed in dpkg-cross 2.6.2
Date: Tue, 22 Feb 2011 17:26:04 +0000
Source: dpkg-cross
Source-Version: 2.6.2

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.6.2.dsc
  to main/d/dpkg-cross/dpkg-cross_2.6.2.dsc
dpkg-cross_2.6.2.tar.gz
  to main/d/dpkg-cross/dpkg-cross_2.6.2.tar.gz
dpkg-cross_2.6.2_all.deb
  to main/d/dpkg-cross/dpkg-cross_2.6.2_all.deb
libdebian-dpkgcross-perl_2.6.2_all.deb
  to main/d/dpkg-cross/libdebian-dpkgcross-perl_2.6.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591542@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 22 Feb 2011 13:00:18 +0000
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.6.2
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 591542
Changes: 
 dpkg-cross (2.6.2) unstable; urgency=low
 .
   * Only suggest binutils-multiarch (relies on changes
     in debhelper >= 8.1.2) (Closes: #591542)
Checksums-Sha1: 
 4cdb49a506ae9812ea19deb5b160ab6facfae12a 1209 dpkg-cross_2.6.2.dsc
 01b54bf0fb081dc4a958099b0c0f2bb459d34a98 76428 dpkg-cross_2.6.2.tar.gz
 1c88aa2e1d90ec6ebc63dd676edfe7311923ed75 53772 dpkg-cross_2.6.2_all.deb
 11d99c6601df072086f638040ae4236be6c1e39d 29738 libdebian-dpkgcross-perl_2.6.2_all.deb
Checksums-Sha256: 
 fa64931f79d4899757cb08f00a33b1ce7e00dd77fb8ef7a481d7e2b21ffc85b8 1209 dpkg-cross_2.6.2.dsc
 8e3a87f4fdb37980e62e003911946c8f1e67885d3df7010d025cc87ffac3ce44 76428 dpkg-cross_2.6.2.tar.gz
 d8aa1fd54d4e9066ea81d906dcefbb7692b6f788d15b91c87909ca12cfd82d49 53772 dpkg-cross_2.6.2_all.deb
 5bcb90b1cf775cd1a0715d4ce7edf8d2559ab4728ad3c8f6cd874ae2f6294d02 29738 libdebian-dpkgcross-perl_2.6.2_all.deb
Files: 
 1e6bab5f400aec2b5e1b00dbeaf942e9 1209 utils extra dpkg-cross_2.6.2.dsc
 d14d3a97f06beda51768b3c9bc4629ce 76428 utils extra dpkg-cross_2.6.2.tar.gz
 582fd7d222c4ef33c4b12e555a6dd660 53772 utils extra dpkg-cross_2.6.2_all.deb
 4bc51b42d2be75f3de5cc17f28a64545 29738 perl extra libdebian-dpkgcross-perl_2.6.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk1juIEACgkQiAEJSii8s+PDOgCfdlHxfbcEXxVjOUNmWV45OMLQ
WC4AoKHljZI2Fkx18kPgOuzfXHy92uUa
=NhLf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 08:10:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:34:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.